groovy.lang

## Class GroovySystem

- java.lang.Object
- - groovy.lang.GroovySystem

    public final class GroovySystem
    extends Object

### Method Summary

Methods
`static MetaClassRegistry` `getMetaClassRegistry()`
`static String` `getVersion()` Returns the groovy version
`static boolean` `isKeepJavaMetaClasses()`
`static boolean` `isUseReflection()`
`static void` `setKeepJavaMetaClasses(boolean keepJavaMetaClasses)`
`static void` `stopThreadedReferenceManager()` This method can be used to ensure that no threaded created by a reference manager will be active.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isUseReflection

    public static boolean isUseReflection()

#### getMetaClassRegistry

    public static MetaClassRegistry getMetaClassRegistry()

#### setKeepJavaMetaClasses

    public static void setKeepJavaMetaClasses(boolean keepJavaMetaClasses)

#### isKeepJavaMetaClasses

    public static boolean isKeepJavaMetaClasses()

#### stopThreadedReferenceManager

    public static void stopThreadedReferenceManager()

This method can be used to ensure that no threaded created by a reference manager will be active. This is useful if the Groovy runtime itself is loaded through a class loader which should be disposed off. Without calling this method and if a threaded reference manager is active the class loader cannot be unloaded! Per default no threaded manager will be used.

Since:
  1.6

#### getVersion

    public static String getVersion()

Returns the groovy version